.TH "mca_oob_tcp_msg_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_oob_tcp_msg_t \- describes each message being progressed.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <oob_tcp_msg.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBopal_list_item_t\fP \fBsuper\fP"
.br
.RI "\fIallow this item to be put on a list \fP"
.ti -1c
.RI "mca_oob_tcp_type_t \fBmsg_type\fP"
.br
.RI "\fIposted receive or unexpected \fP"
.ti -1c
.RI "int \fBmsg_flags\fP"
.br
.RI "\fIflags to send/recv \fP"
.ti -1c
.RI "int \fBmsg_rc\fP"
.br
.RI "\fIthe return code for the send/recv (amount sent/recvd or errno) \fP"
.ti -1c
.RI "\fBmca_oob_tcp_hdr_t\fP \fBmsg_hdr\fP"
.br
.RI "\fIheader used to convey message properties to peer \fP"
.ti -1c
.RI "iovec * \fBmsg_uiov\fP"
.br
.RI "\fIthe user supplied iovec array \fP"
.ti -1c
.RI "int \fBmsg_ucnt\fP"
.br
.RI "\fIthe number of items in the user iovec array \fP"
.ti -1c
.RI "iovec * \fBmsg_rwiov\fP"
.br
.RI "\fIcopy of iovec array - not data \fP"
.ti -1c
.RI "iovec * \fBmsg_rwptr\fP"
.br
.RI "\fIcurrent read/write pointer into msg_iov \fP"
.ti -1c
.RI "int \fBmsg_rwnum\fP"
.br
.RI "\fInumber of iovecs left for read/write \fP"
.ti -1c
.RI "int \fBmsg_rwcnt\fP"
.br
.RI "\fItotal number of iovecs for read/write \fP"
.ti -1c
.RI "void * \fBmsg_rwbuf\fP"
.br
.RI "\fIoptional buffer for send/recv \fP"
.ti -1c
.RI "\fBmca_oob_callback_fn_t\fP \fBmsg_cbfunc\fP"
.br
.RI "\fIthe callback function for the send/receive \fP"
.ti -1c
.RI "void * \fBmsg_cbdata\fP"
.br
.RI "\fIthe data for the callback fnuction \fP"
.ti -1c
.RI "bool \fBmsg_complete\fP"
.br
.RI "\fIwhether the message is done sending or not \fP"
.ti -1c
.RI "orte_process_name_t \fBmsg_peer\fP"
.br
.RI "\fIthe name of the peer \fP"
.ti -1c
.RI "\fBopal_mutex_t\fP \fBmsg_lock\fP"
.br
.RI "\fIlock for the condition variable \fP"
.ti -1c
.RI "opal_condition_t \fBmsg_condition\fP"
.br
.RI "\fIcondition variable for completion \fP"
.ti -1c
.RI "iovec \fBmsg_iov\fP [MCA_OOB_TCP_IOV_MAX]"
.br
.in -1c
.SH "Detailed Description"
.PP 
describes each message being progressed. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
